commit 26f78a4249b051c7755a44ba1ab1743f4133b0c2
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Fri Jan 10 21:33:57 2025 +0000

    AArch64: correct Cortex-X4 MIDR
    
    The Parts Num field for the MIDR for Cortex-X4 is wrong.  It's currently the
    parts number for a Cortex-A720 (which does have the right number).
    
    The correct number can be found in the Cortex-X4 Technical Reference Manual [1]
    on page 382 in Issue Number 5.
    
    [1] https://developer.arm.com/documentation/102484/latest/
    
    gcc/ChangeLog:
    
            * config/aarch64/aarch64-cores.def (AARCH64_CORE): Fix cortex-x4 parts
            num.

diff --git a/gcc/config/aarch64/aarch64-cores.def b/gcc/config/aarch64/aarch64-cores.def
index a919ab7d8a5..b1eaf5512b5 100644
--- a/gcc/config/aarch64/aarch64-cores.def
+++ b/gcc/config/aarch64/aarch64-cores.def
@@ -185,7 +185,7 @@ AARCH64_CORE("cortex-x2",  cortexx2, cortexa57, V9A,  (SVE2_BITPERM, MEMTAG, I8M
 
 AARCH64_CORE("cortex-x3",  cortexx3, cortexa57, V9A,  (SVE2_BITPERM, MEMTAG, I8MM, BF16), neoversen2, 0x41, 0xd4e, -1)
 
-AARCH64_CORE("cortex-x4",  cortexx4, cortexa57, V9_2A,  (SVE2_BITPERM, MEMTAG, PROFILE), neoversen2, 0x41, 0xd81, -1)
+AARCH64_CORE("cortex-x4",  cortexx4, cortexa57, V9_2A,  (SVE2_BITPERM, MEMTAG, PROFILE), neoversen2, 0x41, 0xd82, -1)
 
 AARCH64_CORE("cortex-x925", cortexx925, cortexa57, V9_2A,  (SVE2_BITPERM, MEMTAG, PROFILE), neoversen2, 0x41, 0xd85, -1)
 

